<style>
	.has-error input{
	border: 2px solid red;
	}
	.has-error select{
	border: 2px solid red;
	}
<!-- 	#cabin_class:hover, #airline:hover {
		background-color: #ed1c24;
} -->
<!-- .dropdown-menuairline{
   max-height: 250px;
   overflow-y: auto;
  } -->
 #airlineDropdown{
	background: #030000;
	color: #FFFFFF;
	Border: none;
	padding-left: 65px;
    width: 100px;
	font-weight: 400;
    font-size: 16px;
	padding-bottom: 2px;
    padding-top: 2px;
}
.cabinLabel{
color: white;
}
 #cabinDropdown{
	background: #030000;
	color: #FFFFFF;
	Border: none;
	padding-left: 65px;
    width: 219px;
	font-weight: 400;
    font-size: 16px;
	padding-bottom: 2px;
    padding-top: 2px;
}

#airline { 
    background-color: #FFFFFF;
}
#cabin_class { 
    background-color: #FFFFFF;
}
#airline:hover { 
    background-color: #ed1c24;
	}
select {
        font-size: 18px;
    }

</style>
<script>
	/*
	function OneWayRide(val)
	{
	alert(val);
	}
	*/
</script>
<script type="text/javascript">
	/*
        var app = angular.module('myProject', [])
        app.controller('mainController', function ($scope, $window) {
            $scope.customCheck1 = function () {
                if ($scope.on) {
                    $window.alert("CheckBox is checked.");
                } else {
                    $window.alert("CheckBox is not checked.");
                }
            };
        });
	*/
    </script>
<div ng-controller="flightSearchCtrl">
	<form id="searchForm" name="searchForms" ng-submit="flightSearchForm(searchForms.$valid);" novalidate="novalidate">
		<div class="row">
			<div class="form-group col-md-3 pr-0" >
				<label>Flying from?</label><span class="red">*</span>
				<div ng-class="{'has-error' :searchForms.from_places.$invalid && submitted}">
					<div class="input-group">
						
						<div class="input-group-prepend">
							<span class="input-group-text" id="basic-addon1"><i class="icon-flights"></i></span>
						</div>
						
						
						<input type="text" placeholder="Enter an airport"  ng-model="searchFlightObjJson.frmAirport" id="from_place" name="from_place" class="form-control" required autofocus/>
						
					</div>
					
				</div> 
				<div ng-show="searchForms.from_places.$invalid && submitted" class="cardErr">Please enter flying from</div>
			</div>
			<div class="form-group col-md-3 pr-0">
				<label>Where to?</label><span class="red">*</span>
				<div ng-class="{'has-error' :searchForms.to_place.$invalid && submitted}">
					<div class="input-group">
						<div class="input-group-prepend">
							<span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
						</div>
						
						<!-- <input type="text" class="form-control" name="to_place" id="to_place" autocomplete="off" placeholder="Enter destination" ng-model="toAirport" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:8 " ng-change="fromPlace(toAirport);" required/> -->
						<input type="text" id="to_place" required name="to_place" ng-model="searchFlightObjJson.toAirport" class="form-control" placeholder="Enter a destination" />
					</div>
				</div>
				<div ng-show="searchForms.to_place.$invalid && submitted" class="cardErr">Please enter where to</div>
			</div>
			<div class="form-group col-md-3 pr-0">
				<label>When?</label><span class="red">*</span>
				<div ng-class="{'has-error' :searchForms.daterange1.$invalid && submitted}">
					<div class="input-group">
						<div class="input-group-prepend">
							<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
						</div>
						<!-- <input type="text" id="daterange1" name="daterange1" class="form-control date-picker" autocomplete="off" placeholder="Enter a date" date-range-picker ng-model="date" required options="flightOpts"/> -->
						<input type="text" id="daterange1" name="daterange1" class="form-control date-picker" autocomplete="off" placeholder="Enter a date" date-range-picker ng-model="searchFlightObjJson.travelDate" required options="flightop" />
						
					</div>
				</div>
				<div ng-show="((searchForms.daterange1.$invalid || searchForms.daterange1==null) && submitted)||isNotValidDate" class="cardErr">Please enter when</div>
			</div>
			<div class="form-group col-md-3">
				<label>Who is going?</label><span class="red">*</span>
				<div ng-class="{'has-error' :searchForms.passenger.$invalid && submitted}">
					<div class="input-group">
						<div class="input-group-prepend">
							<span class="input-group-text" id="basic-addon1"><i class="icon-occupancy"></i></span>
						</div>
						<input type="text" class="form-control" name="passenger" placeholder="Enter passenger count" autocomplete="off" ng-model="totalPassenger" ng-click="openFlight();" required readonly/>
						
					</div>
				</div>
				<div ng-show="searchForms.passenger.$invalid && submitted" class="cardErr">Enter who is going</div>
				
			</div>
		</div>
		
		<!-- <div class="row">
			<div class="col-md-12 text-right">
				<a class="group-bookings-prompt" href="#">Group Booking Enquiries</a>
			</div>
		</div> -->
		<div class="row mt-3">
			<div class="col-md-8">
				<div class="row extra-flight-options-panel" style="width: 838px;">
					<div class="col col-1">
						<i class="icon icon-flights"></i>
					</div>
					<div class="col col-3 pr-0">
						<!-- <div class="checkbox">
							<input type="checkbox" id="customCheck1" ng-model="searchFlightObj.prefNonStop">
							<label for="customCheck1">Direct Only1</label>
						</div> -->
						<div class="checkbox">
							<input type="checkbox" id="customCheck1" ng-model="checkboxModel.value"  ng-change="oneWayChangess()">
							<label for="customCheck1">One-Way</label>
						</div>
					</div>
					<label for="cabinDropdown">Cabin class: </label>
					<div class="col" style="padding-left: 0px;">
						<!-- <div class="dropdown" uib-dropdown>
							<button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">
								Cabin class: <span class="dd-update">{{cabinClass}}</span>
							</button>
							<div class="dropdown-menu" uib-dropdown-menu aria-labelledby="dropdownMenuButton">
								<a class="dropdown-item" id="cabin_class" href="#" ng-click="changeCabinClass(action)" ng-repeat="action in cabinClassList">{{action}}</a> -->
							<div class="col-md-3 form-group dropdown">
								<select class="dropdown-menuCabinClass" id="cabinDropdown" ng-model="cabinClass" aria-labelledby="dropdownMenuButton" style="position: absolute;width: 150px;padding-left: 0px;">
								<option class="dropdown-item" id="cabin_class" href="#" ng-repeat="action in cabinClassList">{{action}}</option>
								<!-- <a class="dropdown-item" href="#">Premium Economy</a>
								<a class="dropdown-item" href="#">Business</a>
								<a class="dropdown-item" href="#">First</a> -->
							<!-- </div> -->
								</select>
						</div>
					</div>
					<label for="airlineDropdown">Airline: </label>
					<div class="col" style="padding-left: 0px;">
						<!-- <div class="dropdown" uib-dropdown style="font-size: 15px;">
							<button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">
								Airline: <span class="dd-update">{{airline.title}}</span>
							</button> -->
							<!-- <div class="dropdown-menuairline" uib-dropdown-menu aria-labelledby="dropdownMenuButton"> -->
							<div class="col-md-3 form-group dropdown">
								<select class="dropdown-menuairline" id="airlineDropdown" ng-model="airlinee" aria-labelledby="dropdownMenuButton" style="position: absolute;width: 150px;padding-left: 0px;">
								<option class="dropdown-item" id="airline" href="#" value={{airline.code}} ng-repeat="airline in airlineList">{{airline.title}}</option>
								<!-- <a class="dropdown-item" href="#">Emirates</a>
								<a class="dropdown-item" href="#">Qatar Airways</a>
								<a class="dropdown-item" href="#">Flydubai</a> -->
							</select>
								<!-- <a class="dropdown-item" href="#">Emirates</a>
								<a class="dropdown-item" href="#">Qatar Airways</a>
								<a class="dropdown-item" href="#">Flydubai</a> -->
							<!-- </div> -->
						</div>
					</div>
				</div>
				
			</div>
			<div class="col-md-4 text-right">
				
				<!-- <button type="button" class="btn btn-dark btn-search" ng-click="flightSearch();" ><i class="fa fa-search" aria-hidden="true"></i> Search</button> -->
				<button type="submit" class="btn btn-dark btn-search" ><i class="fa fa-search" aria-hidden="true"></i> Search</button>
			</div>
			
		</div>
	</form>
	<script type="text/ng-template" id="flightModalContent.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Passenger Count
	</h3>
</div>
<div class="modal-body" id="modal-body">
	<form name="passForm" novalidate ng-submit="passBtn();">
		<div class="row">
			
			<div class="col-md-3">
				<label>Adult</label>
				<!-- <div ng-class="{'has-error' :passForm.adult.$pristine && submitted}"> -->
				<select class="form-control" name="adult" ng-model="paasCount.adult" ng-options="adult for adult in adults" required>
				</select>
				<!-- </div> -->
				
			</div>
			<div class="col-md-3">
				<label>Child</label>
				<select class="form-control" ng-model="paasCount.child" ng-options="child for child in childs">
				</select>
			</div>
			<div class="col-md-3">
				<label>Infant </label>
				
				<select class="form-control" ng-model="paasCount.infant" ng-options="infant for infant in infants">
				</select>
				
			</div>
		</div>
		<div class="list_floatR martop">
			<button type="submit" class="applyBtn btn btn-sm btn-success" >OK</button>
			<button type="button" class="cancelBtn btn btn-sm btn-default" ng-click="cancel();">Cancel</button>
		</div>
		
	</form>
	
</div>

</script>
</div>




